package com.heyu.api.data.entity.calca;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*按天统计
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("calca_minutes_statistics")
public class CalcaMinutesStatisticsEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.calca.CalcaMinutesStatisticsEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";      // 修改时间
    public final static String user_name = CLASS_NAME + "user_name";          // 用户名
    public final static String token_ = CLASS_NAME + "token";                 // token值
    public final static String invoke_count = CLASS_NAME + "invoke_count";    // 调用次数
    public final static String spend_amount = CLASS_NAME + "spend_amount";    // 花费金额，单位分
    public final static String date_time = CLASS_NAME + "date_time";          // 日期时间，如2025-01-20
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //用户名
    private String userName;
    //token值
    private String token;
    //调用次数
    private Long invokeCount;
    //花费金额，单位分
    private BigDecimal spendAmount;
    //日期时间，如2025-01-20
    private String dateTime;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 用户名 
     * @return
     */
    public String getUserName() {
        return userName;
    }
    /**
     * 用户名 
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * token值 
     * @return
     */
    public String getToken() {
        return token;
    }
    /**
     * token值 
     * @param token
     */
    public void setToken(String token) {
        this.token = token;
    }

    /**
     * 调用次数 
     * @return
     */
    public Long getInvokeCount() {
        return invokeCount;
    }
    /**
     * 调用次数 
     * @param invokeCount
     */
    public void setInvokeCount(Long invokeCount) {
        this.invokeCount = invokeCount;
    }

    /**
     * 花费金额，单位分 
     * @return
     */
    public BigDecimal getSpendAmount() {
        return spendAmount;
    }
    /**
     * 花费金额，单位分 
     * @param spendAmount
     */
    public void setSpendAmount(BigDecimal spendAmount) {
        this.spendAmount = spendAmount;
    }

    /**
     * 日期时间，如2025-01-20 
     * @return
     */
    public String getDateTime() {
        return dateTime;
    }
    /**
     * 日期时间，如2025-01-20 
     * @param dateTime
     */
    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    @Override
    public String toString() {
        return "CalcaMinutesStatisticsEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",userName=" + userName +
                ",token=" + token +
                ",invokeCount=" + invokeCount +
                ",spendAmount=" + spendAmount +
                ",dateTime=" + dateTime +
                "}";
    }
}